Retrieve a user
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"is_email_verified": true,
"phone": "<string>",
"country_code": "<string>",
"is_phone_verified": true,
"profile_image_url": "<string>",
"is_anonymous": true,
"is_logged_in": true,
"login_methods": [
"email"
],
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"customer_id": "<string>",
"customer_group": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"is_default": true,
"active": true
},
"business": {
"type": "<string>",
"name": "<string>",
"metadata": {},
"registered_address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "India",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"id": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
},
"created_at": "<string>",
"modified_at": "<string>"
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Auth
Retrieve a user
Retrieves the full User object for a given user ID.
GET
/
auth
/
user
/
{id}
Retrieve a user
Authorizations
Access token
Path Parameters
user ID
Response
OK
A descriptive message confirming the success or failure of the Registration process.
Indicates whether the request was successful or failure (true for success, false for failure).
An object containing the response content.
Show child attributes
Show child attributes
Was this page helpful?
⌘I